Upstream information

CVE-2016-2108 at MITRE

Description

The ASN.1 implementation in OpenSSL before 1.0.1o and 1.0.2 before 1.0.2c allows remote attackers to execute arbitrary code or cause a denial of service (buffer underflow and memory corruption) via an ANY field in crafted serialized data, aka the "negative zero" issue.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 10 7.6
Vector AV:N/AC:L/Au:N/C:C/I:C/A:C AV:N/AC:H/Au:N/C:C/I:C/A:C
Access Vector Network Network
Access Complexity Low High
Authentication None None
Confidentiality Impact Complete Complete
Integrity Impact Complete Complete
Availability Impact Complete Complete
CVSS v3 Scores
  National Vulnerability Database
Base Score 9.8
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entries: 1001502 [RESOLVED / FIXED], 1004499 [RESOLVED], 1005878 [RESOLVED / FIXED], 977584 [RESOLVED / FIXED], 977617 [RESOLVED / FIXED], 978492 [RESOLVED / FIXED], 989345 [RESOLVED / FIXED], 996067 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • compat-openssl098 >= 0.9.8j-105.1
  • libopenssl0_9_8 >= 0.9.8j-105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-105.1
  • libopenssl1_0_0 >= 1.0.1i-54.5.1
  • libopenssl1_0_0-32bit >= 1.0.1i-54.5.1
  • openssl >= 1.0.1i-54.5.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-717
SUSE-SLE-DESKTOP-12-SP1-2016-735
SUSE-SLE-DESKTOP-12-SP1-2017-236
SUSE-SLE-DESKTOP-12-SP1-2017-319
SUSE Linux Enterprise Desktop 12 SP2
  • compat-openssl098 >= 0.9.8j-105.1
  • libopenssl0_9_8 >= 0.9.8j-105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-105.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-319
SUSE Linux Enterprise Desktop 12 SP3
  • libopenssl0_9_8 >= 0.9.8j-105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-105.1
SUSE Linux Enterprise Desktop 12 SP4
  • libopenssl0_9_8 >= 0.9.8j-106.6.1
  • libopenssl0_9_8-32bit >= 0.9.8j-106.6.1
SUSE Linux Enterprise Desktop 12
  • compat-openssl098 >= 0.9.8j-97.1
  • libopenssl0_9_8 >= 0.9.8j-97.1
  • libopenssl0_9_8-32bit >= 0.9.8j-97.1
  • libopenssl1_0_0 >= 1.0.1i-27.16.1
  • libopenssl1_0_0-32bit >= 1.0.1i-27.16.1
  • openssl >= 1.0.1i-27.16.1
Patchnames:
SUSE-SLE-DESKTOP-12-2016-715
SUSE-SLE-DESKTOP-12-2016-735
SUSE Linux Enterprise Module for Containers 12
  • sles12-docker-image >= 1.1.4-20171002
  • sles12sp1-docker-image >= 1.0.7-20171002
Patchnames:
SUSE-SLE-Module-Containers-12-2017-1672
SUSE-SLE-Module-Containers-12-2017-1673
SUSE Linux Enterprise Module for Legacy Software 12
  • compat-openssl098 >= 0.9.8j-105.1
  • libopenssl0_9_8 >= 0.9.8j-105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-105.1
Patchnames:
SUSE-SLE-Module-Legacy-12-2016-735
SUSE-SLE-Module-Legacy-12-2017-319
SUSE Linux Enterprise Point of Sale 11 SP3
  • libopenssl-devel >= 0.9.8j-0.105.1
  • libopenssl0_9_8 >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.105.1
  • openssl >= 0.9.8j-0.105.1
  • openssl-doc >= 0.9.8j-0.105.1
Patchnames:
sleposp3-openssl-12999
SUSE Linux Enterprise Server 11 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP2-LTSS
  • libopenssl-devel >= 0.9.8j-0.97.1
  • libopenssl0_9_8 >= 0.9.8j-0.97.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.97.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.97.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.97.1
  • openssl >= 0.9.8j-0.97.1
  • openssl-doc >= 0.9.8j-0.97.1
Patchnames:
slessp2-openssl-12557
SUSE Linux Enterprise Server 11 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP3-LTSS
  • libopenssl-devel >= 0.9.8j-0.105.1
  • libopenssl0_9_8 >= 0.9.8j-0.105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.105.1
  • openssl >= 0.9.8j-0.105.1
  • openssl-doc >= 0.9.8j-0.105.1
Patchnames:
slessp3-openssl-12557
slessp3-openssl-12999
SUSE Linux Enterprise Server 11 SP4
  • libopenssl0_9_8 >= 0.9.8j-0.105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.105.1
  • libopenssl0_9_8-x86 >= 0.9.8j-0.105.1
  • openssl >= 0.9.8j-0.105.1
  • openssl-doc >= 0.9.8j-0.105.1
Patchnames:
slessp4-openssl-12557
slessp4-openssl-12999
SUSE Linux Enterprise Server 11-SECURITY
SUSE Linux Enterprise Server for SAP Applications 11-SECURITY
  • libopenssl1-devel >= 1.0.1g-0.57.1
  • libopenssl1_0_0 >= 1.0.1g-0.57.1
  • libopenssl1_0_0-32bit >= 1.0.1g-0.57.1
  • libopenssl1_0_0-x86 >= 1.0.1g-0.57.1
  • openssl1 >= 1.0.1g-0.57.1
  • openssl1-doc >= 1.0.1g-0.57.1
Patchnames:
secsp3-openssl1-12539
secsp3-openssl1-12991
SUSE Linux Enterprise Server 12 SP1
  • libopenssl1_0_0 >= 1.0.1i-54.5.1
  • libopenssl1_0_0-32bit >= 1.0.1i-54.5.1
  • libopenssl1_0_0-hmac >= 1.0.1i-54.5.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.1i-54.5.1
  • openssl >= 1.0.1i-54.5.1
  • openssl-doc >= 1.0.1i-54.5.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-717
SUSE-SLE-SERVER-12-SP1-2017-236
SUSE Linux Enterprise Server 12-LTSS
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • libopenssl1_0_0 >= 1.0.1i-27.28.1
  • libopenssl1_0_0-32bit >= 1.0.1i-27.28.1
  • libopenssl1_0_0-hmac >= 1.0.1i-27.28.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.1i-27.28.1
  • openssl >= 1.0.1i-27.28.1
  • openssl-doc >= 1.0.1i-27.28.1
Patchnames:
SUSE-SLE-SERVER-12-2018-79
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server for SAP Applications 12
  • libopenssl1_0_0 >= 1.0.1i-27.16.1
  • libopenssl1_0_0-32bit >= 1.0.1i-27.16.1
  • libopenssl1_0_0-hmac >= 1.0.1i-27.16.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.1i-27.16.1
  • openssl >= 1.0.1i-27.16.1
  • openssl-doc >= 1.0.1i-27.16.1
Patchnames:
SUSE-SLE-SERVER-12-2016-715
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • compat-openssl097g >= 0.9.7g-146.22.44.1
  • compat-openssl097g-32bit >= 0.9.7g-146.22.44.1
Patchnames:
slesappsp3-compat-openssl097g-12541
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • compat-openssl097g >= 0.9.7g-146.22.50.1
  • compat-openssl097g-32bit >= 0.9.7g-146.22.50.1
  • libopenssl0_9_8 >= 0.9.8j-0.105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.105.1
  • libopenssl0_9_8-x86 >= 0.9.8j-0.105.1
  • openssl >= 0.9.8j-0.105.1
  • openssl-doc >= 0.9.8j-0.105.1
Patchnames:
slesappsp4-compat-openssl097g-12541
slesappsp4-compat-openssl097g-13004
slessp4-openssl-12557
slessp4-openssl-12999
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • compat-openssl098 >= 0.9.8j-105.1
  • libopenssl0_9_8 >= 0.9.8j-105.1
  • libopenssl1_0_0 >= 1.0.1i-54.5.1
  • libopenssl1_0_0-32bit >= 1.0.1i-54.5.1
  • libopenssl1_0_0-hmac >= 1.0.1i-54.5.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.1i-54.5.1
  • openssl >= 1.0.1i-54.5.1
  • openssl-doc >= 1.0.1i-54.5.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2016-735
SUSE-SLE-SAP-12-SP1-2017-319
SUSE-SLE-SERVER-12-SP1-2016-717
SUSE-SLE-SERVER-12-SP1-2017-236
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • compat-openssl098 >= 0.9.8j-105.1
  • libopenssl0_9_8 >= 0.9.8j-105.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2017-319
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libopenssl-devel >= 0.9.8j-0.105.1
  • libopenssl-devel-32bit >= 0.9.8j-0.105.1
  • openssl >= 0.9.8j-0.105.1
Patchnames:
sdksp4-openssl-12557
sdksp4-openssl-12999
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libopenssl-devel >= 1.0.1i-54.5.1
  • openssl >= 1.0.1i-54.5.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-717
SUSE-SLE-SDK-12-SP1-2017-236
SUSE Linux Enterprise Software Development Kit 12
  • libopenssl-devel >= 1.0.1i-27.16.1
  • openssl >= 1.0.1i-27.16.1
Patchnames:
SUSE-SLE-SDK-12-2016-715
SUSE Manager 2.1
  • libopenssl-devel >= 0.9.8j-0.105.1
  • libopenssl0_9_8 >= 0.9.8j-0.105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.105.1
  • openssl >= 0.9.8j-0.105.1
  • openssl-doc >= 0.9.8j-0.105.1
Patchnames:
sleman21-openssl-12557
sleman21-openssl-12999
SUSE Manager Proxy 2.1
  • libopenssl-devel >= 0.9.8j-0.105.1
  • libopenssl0_9_8 >= 0.9.8j-0.105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.105.1
  • openssl >= 0.9.8j-0.105.1
  • openssl-doc >= 0.9.8j-0.105.1
Patchnames:
slemap21-openssl-12557
slemap21-openssl-12999
SUSE OpenStack Cloud 5
  • libopenssl-devel >= 0.9.8j-0.105.1
  • libopenssl0_9_8 >= 0.9.8j-0.105.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.105.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.105.1
  • openssl >= 0.9.8j-0.105.1
  • openssl-doc >= 0.9.8j-0.105.1
Patchnames:
sleclo50sp3-openssl-12557
sleclo50sp3-openssl-12999
SUSE Studio Onsite 1.3
  • libopenssl-devel >= 0.9.8j-0.105.1
  • openssl >= 0.9.8j-0.105.1
Patchnames:
slestso13-openssl-12557
slestso13-openssl-12999
SUSE Linux Enterprise Server 10 SP4 LTSS for x86
  • openssl >= 0.9.8a-18.96.1
  • openssl-devel >= 0.9.8a-18.96.1
  • openssl-doc >= 0.9.8a-18.96.1
Builds
ZYPP Patch Nr: 9267
SUSE Linux Enterprise Server 10 SP4 LTSS for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 LTSS for IBM zSeries 64bit
  • openssl >= 0.9.8a-18.96.1
  • openssl-32bit >= 0.9.8a-18.96.1
  • openssl-devel >= 0.9.8a-18.96.1
  • openssl-devel-32bit >= 0.9.8a-18.96.1
  • openssl-doc >= 0.9.8a-18.96.1
Builds
ZYPP Patch Nr: 9267
openSUSE 13.1
  • libopenssl-devel >= 1.0.1k-11.87.1
  • libopenssl-devel-32bit >= 1.0.1k-11.87.1
  • libopenssl0_9_8 >= 0.9.8zh-5.3.1
  • libopenssl0_9_8-32bit >= 0.9.8zh-5.3.1
  • libopenssl0_9_8-debuginfo >= 0.9.8zh-5.3.1
  • libopenssl0_9_8-debuginfo-32bit >= 0.9.8zh-5.3.1
  • libopenssl0_9_8-debugsource >= 0.9.8zh-5.3.1
  • libopenssl1_0_0 >= 1.0.1k-11.87.1
  • libopenssl1_0_0-32bit >= 1.0.1k-11.87.1
  • libopenssl1_0_0-debuginfo >= 1.0.1k-11.87.1
  • libopenssl1_0_0-debuginfo-32bit >= 1.0.1k-11.87.1
  • openssl >= 1.0.1k-11.87.1
  • openssl-debuginfo >= 1.0.1k-11.87.1
  • openssl-debugsource >= 1.0.1k-11.87.1
  • openssl-doc >= 1.0.1k-11.87.1
Patchnames:
2016-562
2016-563
openSUSE Leap 42.1
  • compat-openssl098 >= 0.9.8j-12.2
  • compat-openssl098-debugsource >= 0.9.8j-12.2
  • libopenssl-devel >= 1.0.1i-21.1
  • libopenssl-devel-32bit >= 1.0.1i-21.1
  • libopenssl0_9_8 >= 0.9.8zh-17.1
  • libopenssl0_9_8-32bit >= 0.9.8zh-17.1
  • libopenssl0_9_8-debuginfo >= 0.9.8zh-17.1
  • libopenssl0_9_8-debuginfo-32bit >= 0.9.8zh-17.1
  • libopenssl0_9_8-debugsource >= 0.9.8zh-17.1
  • libopenssl1_0_0 >= 1.0.1i-21.1
  • libopenssl1_0_0-32bit >= 1.0.1i-21.1
  • libopenssl1_0_0-debuginfo >= 1.0.1i-21.1
  • libopenssl1_0_0-debuginfo-32bit >= 1.0.1i-21.1
  • libopenssl1_0_0-hmac >= 1.0.1i-21.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.1i-21.1
  • openssl >= 1.0.1i-21.1
  • openssl-debuginfo >= 1.0.1i-21.1
  • openssl-debugsource >= 1.0.1i-21.1
  • openssl-doc >= 1.0.1i-21.1
Patchnames:
openSUSE-2016-564
openSUSE-2016-565
openSUSE-2016-575
openSUSE-2017-255


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLES for SAP Applications compat-openssl097g Released
SLES for SAP Applications openssl Released
SLES_LTSS-10-SP4 compat-openssl097g Affected
SLES_LTSS-10-SP4 openssl Affected
SUSE Linux Enterprise 12 Module for Containers sles12-docker-image Released
SUSE Linux Enterprise 12 Module for Containers sles12sp1-docker-image Released
SUSE Linux Enterprise 12 Module for Legacy compat-openssl098 Released
SUSE Linux Enterprise Desktop 11 SP2 compat-openssl097g Released
SUSE Linux Enterprise Desktop 11 SP2 openssl Released
SUSE Linux Enterprise Desktop 11 SP3 compat-openssl097g Released
SUSE Linux Enterprise Desktop 11 SP3 openssl Released
SUSE Linux Enterprise Desktop 11 SP4 compat-openssl097g Released
SUSE Linux Enterprise Desktop 11 SP4 openssl Released
SUSE Linux Enterprise Desktop 12 compat-openssl098 Released
SUSE Linux Enterprise Desktop 12 openssl Released
SUSE Linux Enterprise Desktop 12 SP1 compat-openssl098 Released
SUSE Linux Enterprise Desktop 12 SP1 openssl Released
SUSE Linux Enterprise Desktop 12 SP2 compat-openssl098 Released
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search compat-openssl097g Released
SUSE Linux Enterprise Server 11 SP1 openssl Released
SUSE Linux Enterprise Server 11 SP1 openssl1 Released
SUSE Linux Enterprise Server 11 SP1 LTSS openssl Released
SUSE Linux Enterprise Server 11 SP2 openssl Released
SUSE Linux Enterprise Server 11 SP2 LTSS openssl Released
SUSE Linux Enterprise Server 11 SP2 for VMware openssl Released
SUSE Linux Enterprise Server 11 SP3 openssl Released
SUSE Linux Enterprise Server 11 SP3 openssl1 Released
SUSE Linux Enterprise Server 11 SP3 LTSS openssl Released
SUSE Linux Enterprise Server 11 SP3 for VMware openssl Released
SUSE Linux Enterprise Server 11 SP4 openssl Released
SUSE Linux Enterprise Server 12 openssl Released
SUSE Linux Enterprise Server 12 LTSS openssl Released
SUSE Linux Enterprise Server 12 SP1 openssl Released
SUSE Linux Enterprise Server for SAP Applications 12 SP1 compat-openssl098 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 compat-openssl098 Released
SUSE Linux Enterprise Server for SAP Business All-in-One compat-openssl097g Released
SUSE Linux Enterprise Software Development Kit 11 SP2 openssl Released
SUSE Linux Enterprise Software Development Kit 11 SP3 openssl Released
SUSE Linux Enterprise Software Development Kit 11 SP4 openssl Released
SUSE Linux Enterprise Software Development Kit 12 openssl Released
SUSE Linux Enterprise Software Development Kit 12 SP1 openssl Released
SUSE Studio Onsite openssl Released
Security Module for SUSE Linux Enterprise 11 openssl1 Released